Bug 1083479 - Second invocation of about dialog fails
Summary: Second invocation of about dialog fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER01
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-02 10:27 UTC by Filip Brychta
Modified: 2014-12-11 14:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:36 UTC


Attachments (Terms of Use)
screen shot 1 (123.94 KB, image/png)
2014-04-02 10:27 UTC, Filip Brychta
no flags Details
screen shot 2 (113.94 KB, image/png)
2014-04-02 10:27 UTC, Filip Brychta
no flags Details

Description Filip Brychta 2014-04-02 10:27:08 UTC
Created attachment 881708 [details]
screen shot 1

Description of problem:
When you click on Operations Network logo in top left corner (see attached screenShot.png) for the first time, the About dialog shows correctly. When you close it and click on the logo again, the About dialog is empty.

Workaround: refresh the page (F5)

Version-Release number of selected component (if applicable):
Version :	
3.2.0.GA
Build Number :	
dcb8b6f:734bd56

Browsers:
Firefox 18.0.2 and 28.0
Chrome Version 27.0.1453.110

How reproducible:
Always

Steps to Reproduce:
1. click on Operations Network logo in top left corner (see attached screenShot.png)
2. close the About dialog
3. Operations Network logo in top left corner again

Actual results:
The About dialog is empty, see attached screenShot2.png

Expected results:
The About dialog is correct

Additional info:
This issue is not visible in RHQ Version: 4.11.0-SNAPSHOT Build Number :5601d86

Comment 1 Filip Brychta 2014-04-02 10:27:33 UTC
Created attachment 881709 [details]
screen shot 2

Comment 3 Jirka Kremser 2014-08-06 13:40:19 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/177ee40d9
time:    2014-08-06 15:39:29 +0200
commit:  177ee40d9251de5207d58bf417c51187bc7bd38c
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1083479] - Second invocation of about dialog fails - creating the
         dialog from scratch (instead of using the cached instance that
         was causing the issue). Also adding a link to GitHub commit
         corresponding to the build number (only for RHQ).

Comment 4 Mike Thompson 2014-08-11 17:04:49 UTC
Cherry-picked to release/jon3.3.x

commit bd1b43c2f2b86d6cb8845b69792194be0200ea24
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Wed Aug 6 15:39:29 2014 +0200

    [BZ 1083479] - Second invocation of about dialog fails - creating the dialog from scratch (instead of using the cached instance that was causing the issue). Also adding a link to GitHub commit corresponding to the build number (only for RHQ).

    (cherry picked from commit 177ee40d9251de5207d58bf417c51187bc7bd38c)
    Signed-off-by: Mike Thompson <mithomps@redhat.com>

Comment 5 Simeon Pinder 2014-08-19 23:50:35 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 6 Jan Bednarik 2014-08-21 13:25:46 UTC
Moving to VERIFIED

Version:3.3.0.ER01
Build Number:23b3476:f3aa7e7

Browsers:
Firefox 26.0
Chrome Version 32.0.1700.107


Note You need to log in before you can comment on or make changes to this bug.